using MasaBlazorApp3.Pojo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.DataAccess.Dao
{
    public interface IReportDataDao
    {
        //获取库存导出数据
        Task<PageData<ReportStockDateInfo>> GetStockExportData(string drugName);
        //专用账册导出数据
        Task<PageData<ReportAccountDateInfo>> GetAccountExportData(DateTime? startDate, DateTime? endDate, string drugName);
        //手术室患者麻醉药品使用登记本主表数据
        Task<List<ReportUsageParentDateInfo>> GetOrderInfoParentData(DateTime? startDate);
        //手术室患者麻醉药品使用登记本
        Task<List<ReportUsageDateInfo>> GetOrderInfoData(DateTime? startDate);
        //请领登记表导出
        Task<PageData<ReportApplyInfo>> GetApplyInfoDate(DateTime searchDate);
    }
}
